/*
  +----------------------------------------------------------------------+
  | Copyright (c) The PHP Group                                          |
  +----------------------------------------------------------------------+
  | This source file is subject to version 3.01 of the PHP license,      |
  | that is bundled with this package in the file LICENSE, and is        |
  | available through the world-wide-web at the following url:           |
  | http://www.php.net/license/3_01.txt                                  |
  | If you did not receive a copy of the PHP license and are unable to   |
  | obtain it through the world-wide-web, please send a note to          |
  | license@php.net so we can mail you a copy immediately.               |
  +----------------------------------------------------------------------+
  | Authors: Rafal Somla <rafal.somla@oracle.com>                        |
  +----------------------------------------------------------------------+
*/

#ifndef PHP_MYSQLND_KRB_H
#define PHP_MYSQLND_KRB_H

#include <php.h>
#include <ext/mysqlnd/mysqlnd.h>
#include <ext/mysqlnd/mysqlnd_auth.h>
#include <ext/mysqlnd/mysqlnd_debug.h>


#define PHP_MYSQLND_KRB_MAJOR 1
#define PHP_MYSQLND_KRB_MINOR 0
#define PHP_MYSQLND_KRB_RELEASE 0

#define MYSQLND_PLUGIN_API_VERSION 2


#define PHP_MYSQLND_KRB_VERSION \
  PHP_MYSQLND_KRB_VERSION_STR(PHP_MYSQLND_KRB_MAJOR,PHP_MYSQLND_KRB_MINOR,PHP_MYSQLND_KRB_RELEASE)

#define MYSQLND_KRB_VERSION_ID \
  (10000 * PHP_MYSQLND_KRB_MAJOR + 100 * PHP_MYSQLND_KRB_MINOR + PHP_MYSQLND_KRB_RELEASE)

#define PHP_MYSQLND_KRB_VERSION_STR(A,B,C) \
  ("mysqlnd_krb " PHP_MYSQLND_KRB_STR(A) "." PHP_MYSQLND_KRB_STR(B) "." PHP_MYSQLND_KRB_STR(C) ".4")
#define PHP_MYSQLND_KRB_STR(X) #X


extern struct st_mysqlnd_plugin_header
*mysqlnd_kerberos_auth_plugin();


#define DBG_FMT(FMT,...)  DBG_INF_FMT(FMT, ##__VA_ARGS__)

#endif	/* PHP_MYSQLND_KRB_H */
